#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long a;

    cin >> l >> m >> n;

    for (int i = m; i <= l + 100; i += n)
    {
        a = i;

        do
        {
            s += a;
            br ++;
        }
        while (s <= l);
    }

    cout << br;

    return 0;
}

